/* Whole Layout */
.blog-layout {
  margin: 20px 0 50px;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 30px;
  justify-content: space-between;
  row-gap: 30px;
}

/* Blog Item */
.blog-layout .blog-item {
  cursor: pointer;
  border-start-end-radius: 50%;
  border-start-start-radius: 50%;
  border-end-end-radius: 8px;
  border-end-start-radius: 8px;
  transition: all 0.5s ease;
  border: 1px solid var(--grey220);
}

.blog-layout .blog-item:hover {
  transform: scale(1.05);
}

.blog-layout .blog-item:hover .bottom-blog button {
  background-color: var(--white);
  color: var(--primary);
}

.blog-layout .blog-item:hover .blog-top p {
  background-color: var(--white);
  color: var(--primary);
}

.blog-item .blog-top {
  height: 250px;
  width: 100%;
  padding: 10px;
  display: flex;
  align-items: end;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  border-start-end-radius: 50%;
  border-start-start-radius: 50%;
  border: 1px solid var(--grey220);
}

.blog-item .blog-top p {
  background-color: var(--primary);
  padding: 2px 5px;
  font-size: 12px;
  color: var(--white);
  border-radius: 4px;
  transition: all 0.5s ease;
}

.blog-item .blog-top p:hover {
  background-color: var(--secondary);
  color: var(--primary);
}

.blog-item .bottom-blog {
  display: flex;
  flex-direction: column;
  gap: 10px;
  background-color: var(--secondary);
  padding: 10px;
  border-end-end-radius: 8px;
  border-end-start-radius: 8px;
  border: none;
}

.blog-item .bottom-blog .blog-time {
  display: flex;
  gap: 2px;
  font-size: 12px;
  color: var(--primary);
  align-items: center;
}

.blog-item .bottom-blog p.psize {
  font-weight: bold;
}

.blog-item .bottom-blog button {
  align-self: flex-end;
}

.blog-item .bottom-blog button {
  background-color: var(--primary);
  border: 1px solid var(--grey220);
  color: var(--white);
  font-size: 12px;
  padding: 2px 6px;
  border-radius: 4px;
  margin-bottom: 10px;
  transition: all 0.5s ease;
}

.blog-item .bottom-blog button:hover {
  background-color: var(--white);
  color: var(--primary);
}

/* Blogs Responsive */
@media (max-width:1150px) {
  .blog-layout {
    grid-template-columns: repeat(3, 1fr);
  }
}

@media (max-width: 992px) {
  .blog-layout {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 600px) {
  .blog-layout {
    grid-template-columns: repeat(1, 100%);
  }
}
